Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Interface ITransferDragSourceListener

All Superinterfaces:
  DragSourceListener, java.util.EventListener, SWTEventListener

All Known Implementing Classes:
  TransferDragSourceAdapter

public interface ITransferDragSourceListener
extends DragSourceListener

Interface to be implemented by providers of transfer agents that are used by the drag source within drag/drop operations.

Method Summary
`ITransferAgent` `getTransferAgent()` Returns the transfer agent associated with this transfer listener.
`void` `init(IDragSourceListener[] listeners, IDragSourceContext context)` Initializes this transfer drag source listener with the drag source listeners, registered against this transfer agent, and the drag source context

Methods inherited from interface org.eclipse.swt.dnd.DragSourceListener
`dragFinished, dragSetData, dragStart`

Method Detail

### getTransferAgent

    public ITransferAgent getTransferAgent()

  Returns the transfer agent associated with this transfer listener.

  Returns:
    ITransferAgent associated with this transfer listener

### init

    public void init(IDragSourceListener[] listeners,
                     IDragSourceContext context)

  Initializes this transfer drag source listener with the drag source listeners, registered against this transfer agent, and the drag source context

  Parameters:
    `listeners` - the drag source listeners
    `context` - the drag source context

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.